# Dependencies
node_modules/
dashboard/node_modules/

# Next.js build output
dashboard/.next/
dashboard/out/

# Environment variables
.env
.env.local
.env.development.local
.env.test.local
.env.production.local

# Database
backendia/uploads/data/database.sqlite
*.sqlite
*.sqlite-journal

# Uploads and Exports (Ignore content but keep directories)
uploads/images/*
!uploads/images/.gitkeep
uploads/data/*
!uploads/data/.gitkeep
!uploads/data/database.sqlite
exports/*
!exports/.gitkeep

# Logs
npm-debug.log*
yarn-debug.log*
yarn-error.log*
*.log

# OS files
.DS_Store
Thumbs.db
